import { ChangeDetectorRef } from '@angular/core';
import { DrawerStateManagerService, StateListener } from '../state-listener.component';
import * as i0 from "@angular/core";
/**
 * The `<blui-drawer-body>` is a wrapper for the main content of the Drawer.
 * The typical use case is to display `<blui-drawer-nav-group>` elements, but custom elements (e.g., for spacing) are accepted as well.
 */
export declare class DrawerBodyComponent extends StateListener {
    constructor(stateManagerService: DrawerStateManagerService, changeDetectorRef: ChangeDetectorRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerBodyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerBodyComponent, "blui-drawer-body", never, {}, {}, never, ["*"]>;
}
