import { MatMenuTrigger } from '@angular/material/menu';
import * as i0 from "@angular/core";
/**
 * [DropdownToolbar Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-dropdown-toolbar--readme)
 *
 * The `<blui-dropdown-toolbar>` component is used to display a toolbar with a dropdown.
 */
export declare class DropdownToolbarComponent {
    /** The text to display for title */
    title: string;
    /** The text to display subtitle */
    subtitle: string;
    /** Mat toolbar color variant */
    color: 'primary' | 'accent' | 'warn' | undefined;
    menuTrigger: MatMenuTrigger;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownToolbarComponent, "blui-dropdown-toolbar", never, { "title": "title"; "subtitle": "subtitle"; "color": "color"; }, {}, never, ["[blui-nav-icon]", "*", "[blui-toolbar-menu]"]>;
}
